#if !defined(__lstvwabd_h)              // Sentry, use file only if it's not already included.
#define __lstvwabd_h

/*  Project listview
    Chinchilla Soft Ltd
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    listview.exe Application
    FILE:         lstvwabd.h
    AUTHOR:       Johannes Plachy


    OVERVIEW
    ========
    Class definition for listviewAboutDlg (TDialog).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "lstvwapp.rh"                  // Definition of all resources.


//{{TDialog = listviewAboutDlg}}
class listviewAboutDlg : public TDialog {
public:
    listviewAboutDlg (TWindow *parent, TResId resId = IDD_ABOUT, TModule *module = 0);
    virtual ~listviewAboutDlg ();

//{{listviewAboutDlgVIRTUAL_BEGIN}}
public:
    void SetupWindow ();
//{{listviewAboutDlgVIRTUAL_END}}
};    //{{listviewAboutDlg}}


class ProjectRCVersion {
public:
    ProjectRCVersion (TModule *module);
    virtual ~ProjectRCVersion ();

    bool GetProductName (LPSTR &prodName);
    bool GetProductVersion (LPSTR &prodVersion);
    bool GetCopyright (LPSTR &copyright);
    bool GetDebug (LPSTR &debug);

protected:
    LPBYTE      TransBlock;
    void FAR    *FVData;

private:
    ProjectRCVersion (const ProjectRCVersion &);
    ProjectRCVersion & operator =(const ProjectRCVersion &);
};


#endif                                      // __lstvwabd_h sentry.
